﻿<%@ Page Language="C#" AutoEventWireup="true"
    MasterPageFile="~/CMSMasterPages/UI/Dialogs/ModalDialogPage.master" 
	CodeBehind="BizStreamToolkit.Tools" 
	Inherits="BizStreamToolkit.Tools.Compare.UI.CompareDeploymentReportWebForm"
    Theme="Default" 
    %>

<asp:Content ID="cntBody" runat="server" ContentPlaceHolderID="plcContent">
    
    <div class="form-horizontal header">
        <div class="left source"><h1>SOURCE</h1>
            <strong><asp:Literal runat="server" ID="ltlDeployFromName" /><br /><asp:Literal runat="server" ID="ltlDeployFromUrl" /></strong>
        </div>
        <div class="right target"><h1>TARGET</h1>
            <strong><asp:Literal runat="server" ID="ltlDeployToName" /><br /><asp:Literal runat="server" ID="ltlDeployToUrl" /></strong>
            <asp:Literal runat="server" ID="ltlChangesHere" Visible="false" Text="<strong class='deploy-warning'>Deployment will change this site</strong>" />
        </div>
    </div>

    <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlDepoly" CssClass="header-panel-alert" Visible="false"  style="margin-top:20px;">
        <div class="alert alert-warning">
            <span class="alert-icon"><i class="icon-exclamation-triangle"></i><span class="sr-only">Warning</span></span>
            <div class="alert-label">
                <asp:Literal runat="server" ID="ltlDeployWarning"></asp:Literal>
            </div>
        </div>
    </cms:CMSPanel>

    <asp:Literal ID="ltlStepName" Visible="false" runat="server"></asp:Literal>

    <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlError" CssClass="header-panel-alert" Visible="false"  style="margin-top:20px;">
        <div class="alert alert-error">
            <span class="alert-icon"><i class="icon-exclamation-triangle"></i><span class="sr-only">Error</span></span>
            <div class="alert-label">
                <asp:Literal runat="server" ID="ltlError" />
            </div>
        </div>
    </cms:CMSPanel>

    <div class="form-horizontal">
    

        <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlSummary" Visible="false">
            <h3>Summary</h3>
            <p>The following matrix indicates how many changes you will be deploying to the target site.</p>
            <div class="deployment-summary" id="deployment-summary"></div>
            <asp:Literal runat="server" ID="ltlObject" />
            <asp:Literal runat="server" ID="ltlPages" />
            <asp:Literal runat="server" ID="ltlCustomTableData" />
            <asp:Literal runat="server" ID="ltlDatabase" />
            <asp:Literal runat="server" ID="ltlFile" />
        </cms:CMSPanel>

        <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlDeploymentMethod" Visible="false" CssClass="deployment-step deployment-method-step">
            <p>Please review your deployment method.</p>
            <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlDeploymentMethodKenticoObjects" Visible="true">
                <h4>Kentico Staging Configuration</h4>
                <p>Currently this wizard uses Kentico Staging to deploy changes to the target site.</p>
                
                <asp:Literal runat="server" ID="ltlDeploymentStagingServerDescription" EnableViewState="true" ></asp:Literal>
            </cms:CMSPanel>

            <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlDeploymentMethodFiles" Visible="true">
                <h4>File Deployment Method</h4>
                <p>When deploying files, you have 2 options. You can either choose to have us always put them in a "Temporary Deploy" folder, and you will have to manually move them after running through the deployment wizard.
                    <br />Or you can have us attempt to overwrite the files in place (and if a permission issue occurs, we will put them in a "Temporary Deploy").</p>
                <asp:RadioButtonList runat="server" ID="radFileDeploymentMethod" EnableViewState="true" CssClass="radio-options" AutoPostBack="true" OnSelectedIndexChanged="radFileDeploymentMethod_SelectedIndexChanged">
                    <asp:ListItem Text="Always write to the <b>Temporary Deploy</b> folder" Value="temp" Selected="True"></asp:ListItem>
                    <asp:ListItem Text="<b>Overwrite</b> when possible (REMINDER: <b>this may casue a recomplie</b> depending on the file type)" Value="overwrite"></asp:ListItem>
                </asp:RadioButtonList>
                <asp:Panel ID="pnlWindowsAuth" runat="server" Visible="false" CssClass="form-horizontal">
                    <h5 class="editing-form-category-caption">Windows Authentication for the TARGET server</h5>
                    <div class="information InfoLabel">When deploying files, you may get an occasional write permission issue. To prevent this, you can supply the Windows User Credentials for a user that has write permissions on the TARGET server.</div>
                    <div class="form-group">
                        <div class="editing-form-label-cell"><label class="control-label editing-form-label" for="txtDomain">Domain:</label></div>
                        <div class="editing-form-value-cell"><div class="EditingFormControlNestedControl editing-form-control-nested-control">
                            <asp:TextBox runat="server" ID="txtDomain" EnableViewState="true" CssClass="form-control"></asp:TextBox>
				        </div></div>
                    </div>
                    <div class="form-group">
                        <div class="editing-form-label-cell"><label class="control-label editing-form-label" for="txtUsername">Username:</label></div>
                        <div class="editing-form-value-cell"><div class="EditingFormControlNestedControl editing-form-control-nested-control">
                            <asp:TextBox runat="server" ID="txtUsername" EnableViewState="true" CssClass="form-control"></asp:TextBox>
				        </div></div>
                    </div>
                    <div class="form-group">
                        <div class="editing-form-label-cell"><label class="control-label editing-form-label" for="txtDomain">Password:</label></div>
                        <div class="editing-form-value-cell"><div class="EditingFormControlNestedControl editing-form-control-nested-control">
                            <asp:TextBox runat="server" ID="txtPassword" TextMode="Password" EnableViewState="true" CssClass="form-control"></asp:TextBox>
				        </div></div>
                    </div>
                    <div class="information InfoLabel"><p><em>These fields are option. If left blank, we will attempt to write files as the user that is running the website (typically the App Pool user).</em></p><p>Reminder, if write permission issues are encountered, the deployment will place files in the Temporary Deploy folder</p></div>
                </asp:Panel>

                <p>Temporary Deploy folder name: <strong><asp:Literal runat="server" ID="ltlDeplymentTemporaryFolderPath" EnableViewState="true"></asp:Literal></strong>.</p>
            <!--
            TODO: We will give them some info about the deploy and let them choose some options
            
            <br /><br />Example: File Deployment (if files were selected): Attempt to overwrite (or just deploy them to the server in a Deploy diretory)?
            <br /><br />Example: Method (Staging or Import/Export), check setup and so on... and more....
            -->
            </cms:CMSPanel>
        </cms:CMSPanel>


        <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlDependencies" Visible="false" CssClass="deployment-step dependencies-step">
            <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlNoItems" Visible="true" CssClass="hide">
                <p><br />No dependencies found, please click <strong>Next</strong> to continue.</p>
            </cms:CMSPanel>
            <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlItems" Visible="true" CssClass="hide">
                <p>When deploying, we are using Kentico's Staging Module. This means if you've selected a cms.class (Page Type or Custom Table), other items would need to come along with it (like a Transformation and/or a Query). This also means we are not able to deploy a single transformation or a single query. We can only deploy an enitre object (like a Page Type or Custom Table).</p>

                <p>Please review each item below carefully. Click the Include? checkbox to include items in the deployment. Checking a child object will include the parent and sibling objects automatically.</p>
            </cms:CMSPanel>
            
            <asp:Repeater id="rptSelectedObjects" runat="server" OnItemDataBound="OnCheckboxListItemBound">
            <HeaderTemplate>
                <!--
                <h4>These objects were originally selected</h4>
                These objects were originally selected, but for deploying, they will bring "dependent objects" along with them, please ensure you want all of the following objects to be deployed. 
                If you do want everything deployed, please check the checkbox.
                -->
              <table id="selectedlDependenciesItems">
                  <tr>
                      <th>Include?</th>
                      <th>View</th>
                      <th colspan="2">Originally Included</th>
                      <th>Result</th>
                      <th>Object Type</th>
                      <th>Object Name</th>
                      <th>Display Name</th>
                  </tr>
          </HeaderTemplate>
            <ItemTemplate>
                <tr runat="server" id="parentRow" class="parent" data-type='<%# Eval("Type").ToString() %>' data-lid='<%# Eval("SourceId").ToString() %>' data-rid='<%# Eval("TargetId").ToString() %>'>
                    <th><asp:CheckBox EnableViewState="true" runat="server" id="includeObject" /></th>
                    <th><button type="button" data-action="view" class="js-unigrid-action js-view btn-unigrid-action icon-style-allow icon-only btn-icon btn" title="View Details"><i aria-hidden="true" class="icon-eye"></i><span class="sr-only">Action</span></button></th>
                    <td runat="server" id="origChk" class="center"></td>
                    <td runat="server" id="safe" class="center"></td>
                    <th runat="server" id="compare"><%# Eval("CompareResult") %></th>
                    <th><%# Eval("Type") %></th>
                    <th><%# Eval("FullCodeName") %></th>
                    <th><%# Eval("Display") %></th>
                </tr>
                <asp:Repeater ID="childRepeater" runat="server" DataSource='<%# Eval("Children") %>' OnItemDataBound="OnCheckboxListItemBound">
                  <ItemTemplate>
                    <tr runat="server" id="row" data-type='<%# Eval("Type").ToString() %>' data-lid='<%# Eval("SourceId").ToString() %>' data-rid='<%# Eval("TargetId").ToString() %>'>
                        <td><asp:CheckBox EnableViewState="true" runat="server" id="includeObject" CssClass="readonly" /></td>
                        <td><button type="button" data-action="view" class="js-unigrid-action js-view btn-unigrid-action icon-style-allow icon-only btn-icon btn" title="View Details"><i aria-hidden="true" class="icon-eye"></i><span class="sr-only">Action</span></button></td>
                        <td runat="server" id="origChk" class="center"></td>
                        <td runat="server" id="safe" class="center"></td>
                        <td runat="server" id="compare"><%# Eval("CompareResult") %></td>
                        <td><%# Eval("Type") %></td>
                    <td><%# Eval("FullCodeName") %></td>
                    <td><%# Eval("Display") %></td>
                    </tr>
                  </ItemTemplate>
                </asp:Repeater>
            </ItemTemplate>
            <FooterTemplate>
              </table>
            </FooterTemplate>
            </asp:Repeater>
        </cms:CMSPanel>

    
        <cms:CMSPanel runat="server" EnableViewState="true" ID="pnlBackups" Visible="false" CssClass="deployment-step backup-step">
            <p>Continuing on in this process will make changes to the TARGET server.</p>
            <asp:Literal ID="ltlBackedUpDatabase" runat="server" Text="<h4>Have you backed up your <strong>Database</strong> on the TARGET server?</h4>" />
            <asp:CheckBox ID="chkBackedUpDatabase" runat="server" EnableViewState="true" Checked="false" Text="Yes, I have backed up the Databse on the TARGET server." />
            
            <asp:Literal ID="ltlBackedUpCode" runat="server" Text="<h4>Have you backed up your <strong>Files</strong> on the TARGET server?</h4>" />
            <asp:CheckBox ID="chkBackedUpCode" runat="server" EnableViewState="true" Checked="false" Text="Yes, I have backed up the Files on the TARGET server." />

            <h4>Do you take full responsibility of the changes that are about to be made?</h4>
            <asp:CheckBox ID="chkFullResponsibility" runat="server" EnableViewState="true" Checked="false" Text="Yes, I take responsibility for these changes." />
        </cms:CMSPanel>

    </div>

    <asp:Literal runat="server" ID="ltlDebugLog" />


</asp:Content>

<asp:Content ID="cntFooter" ContentPlaceHolderID="plcFooter" runat="server">
    <cms:LocalizedButton runat="server" ClientIDMode="Static" ID="btnPrint" ButtonStyle="Primary" Enabled="true" EnableViewState="false" ResourceString="Print Report" />
    <cms:LocalizedButton runat="server" ClientIDMode="Static" ID="btnBack" OnClick="btnBack_Click" ButtonStyle="Primary" Enabled="true" EnableViewState="false" Visible="false" ResourceString="Previous" />
    <cms:LocalizedButton runat="server" ClientIDMode="Static" ID="btnNext" OnClick="btnNext_Click" ButtonStyle="Primary" Enabled="true" EnableViewState="false" Visible="false" ResourceString="Next" />
    <cms:LocalizedButton runat="server" ClientIDMode="Static" ID="btnCloseAndRerunCompare" ButtonStyle="Primary" Enabled="true" EnableViewState="false" Visible="false" ResourceString="Close and Recompare" />
    <cms:LocalizedButton runat="server" ClientIDMode="Static" ID="btnDeploy" OnClick="btnDeploy_Click" ButtonStyle="Primary" Enabled="true" EnableViewState="false" ResourceString="Deploy Now" />
</asp:Content>
